CKSUM(1)

NOM
cksum - calculer et vérifier des sommes de contrôle de fichiers

SYNOPSIS
cksum [OPTION]... [FICHIER]...

DESCRIPTION

Afficher ou vérifier des sommes de contrôle. Par défaut, utiliser l'algorithme CRC 32 bits.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --algorithm=TYPE
    sélectionner le type de condensé à utiliser. Voir CONDENSÉ ci-dessous.

-c, --check
    lire les sommes de contrôle des FICHIERs et les vérifier

-l, --length=BIT
    longueur de l'empreinte en bit ; elle ne doit pas dépasser le maximum pour l'algorithme blake2 et doit être un multiple de 8

--tag
    créer une somme de contrôle de type BSD (par défaut)

--untagged
    créer une somme de contrôle inversée sans type de condensé

-z, --zero
    terminer chaque ligne produite par un octet NULL final plutôt que par un changement de ligne et désactiver l'échappement des noms de fichier

  Les cinq options suivantes ne sont utiles que lors de la vérification des sommes de contrôle :

--ignore-missing
    ne pas échouer ou signaler l’état pour les fichiers manquants

--quiet
    ne pas afficher OK pour chaque fichier vérifié avec succès

--status
    ne rien afficher, le code d'état montre le succès

--strict
    quitter avec un code de retour différent de zéro en cas de formatage incorrect des lignes de sommes de contrôle

-w, --warn
    avertir lorsque les lignes de sommes de contrôle sont mal formatées

--debug
    indiquer l'implémentation utilisée

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

  CONDENSÉ détermine l'algorithme de condensé et le format de sortie par défaut :

sysv
    (équivalent à sum -s)

bsd (équivalent à sum -r)

crc (équivalent à cksum)

md5 (équivalent à md5sum)

sha1
    (équivalent à sha1sum)

sha224
    (équivalent à sha224sum)

sha256
    (équivalent à sha256sum)

sha384
    (équivalent à sha384sum)

sha512
    (équivalent à sha512sum)

blake2b
    (équivalent à b2sum)

sm3 (disponible seulement avec cksum)

Lors de la vérification, l'entrée devrait être une ancienne sortie de ce programme ou d'un programme équivalent autonome.

AUTEUR
Écrit par Padraig Brady et Q. Frank Xia.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/cksum>
aussi disponible localement à l’aide de la commande : info '(coreutils) cksum invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Guilhelm Panaget <guilhelm.panaget@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.